### Method

# Ide SourceView get_current_snippet

#### Declaration

    IdeSnippet*
    ide_source_view_get_current_snippet (
      IdeSourceView* self
    )

#### Description

Gets the current snippet if there is one, otherwise `NULL`.

Available since: | 3.32

#### Return value

Returns: | `IdeSnippet`
| An `IdeSnippet` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.